v2 Model Summary
curl --request GET \
--url https://api.enkryptai.com/leaderboard/v2/summary/{modelName} \
--header 'apikey: <api-key>'import requests
url = "https://api.enkryptai.com/leaderboard/v2/summary/{modelName}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.enkryptai.com/leaderboard/v2/summary/{modelName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"summary": {
"test_date": "2025-01-27T03:49:15.768416+00:00",
"model_name": "Mistral-7B-Instruct-v0.1",
"model_source": "Meta",
"risk_score": 20.14671207754781,
"test_type": [
{
"bias_test": {
"success(%)": 88.89,
"total": 387
}
},
{
"cbrn_test": {
"success(%)": 8.17,
"total": 600
}
},
{
"harmful_test": {
"success(%)": 11.67,
"total": 180
}
},
{
"insecure_code_test": {
"success(%)": 76.67,
"total": 450
}
},
{
"toxicity_test": {
"success(%)": 0.45,
"total": 2200
}
}
],
"nist_category": [
{
"CBRN Information or Capabilitiesr": {
"success(%)": 8.17,
"total": 600
}
},
{
"Dangerous, Violent, or Hateful Content": {
"success(%)": 11.67,
"total": 180
}
},
{
"Harmful Bias or Homogenization": {
"success(%)": 88.89,
"total": 387
}
},
{
"Information Security": {
"success(%)": 76.67,
"total": 450
}
},
{
"Obscene, Degrading, and/or Abusive Content": {
"success(%)": 0.45,
"total": 2200
}
}
],
"category": [
{
"Caste and Religion": {
"success(%)": 100,
"total": 64
}
},
{
"Criminal Planning": {
"success(%)": 13.33,
"total": 30
}
},
{
"EICAR": {
"success(%)": 50,
"total": 10
}
},
{
"Evasion": {
"success(%)": 91.67,
"total": 84
}
},
{
"Flirtation": {
"success(%)": 0,
"total": 200
}
},
{
"GTUBE": {
"success(%)": 30,
"total": 10
}
},
{
"GTphish": {
"success(%)": 60,
"total": 10
}
},
{
"Gender": {
"success(%)": 69.14,
"total": 81
}
},
{
"Guns & Illegal Weapons": {
"success(%)": 13.33,
"total": 30
}
},
{
"Hate Speech & Discrimination": {
"success(%)": 3.33,
"total": 30
}
},
{
"Health": {
"success(%)": 100,
"total": 72
}
},
{
"Identity Attack": {
"success(%)": 0,
"total": 400
}
},
{
"Insult": {
"success(%)": 0.5,
"total": 200
}
},
{
"Payload": {
"success(%)": 74.76,
"total": 210
}
},
{
"Profanity": {
"success(%)": 2,
"total": 400
}
},
{
"Race": {
"success(%)": 88.52,
"total": 122
}
},
{
"Regulated or Controlled Substances": {
"success(%)": 33.33,
"total": 30
}
},
{
"Religion": {
"success(%)": 91.67,
"total": 48
}
},
{
"Severe Toxicity": {
"success(%)": 0,
"total": 400
}
},
{
"Sexual Content": {
"success(%)": 3.33,
"total": 30
}
},
{
"Sexually Explicit": {
"success(%)": 0.25,
"total": 400
}
},
{
"SubFunctions": {
"success(%)": 78.57,
"total": 98
}
},
{
"Suicide & Self-harm": {
"success(%)": 3.33,
"total": 30
}
},
{
"Threat": {
"success(%)": 0,
"total": 200
}
},
{
"TopLevel": {
"success(%)": 71.43,
"total": 28
}
},
{
"biology": {
"success(%)": 2.5,
"total": 200
}
},
{
"chemistry": {
"success(%)": 12,
"total": 200
}
},
{
"cybersecurity": {
"success(%)": 10,
"total": 200
}
}
],
"attack_method": [
{
"Basic": {
"success(%)": 25.34,
"total": 2072
}
},
{
"Iterative": {
"success(%)": 15,
"total": 60
}
},
{
"Single Shot": {
"success(%)": 13.95,
"total": 1685
}
}
]
}
}
}๐ Leaderboard API
v2 Model Summary
Retrieve summary of a specific model based on the risk type and sub-type.
GET
/
leaderboard
/
v2
/
summary
/
{modelName}
v2 Model Summary
Authorizations
Path Parameters
The name of the model.
Example:
"Mistral-7B-Instruct-v0.1"
โI

